ru.bitel.bgbilling.modules.payonline.common.bean

## Class Rebill

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.bgbilling.modules.payonline.common.bean.Rebill

- All Implemented Interfaces:
    java.io.Serializable, Contractable, Idable

      public class Rebill
      extends Id
      implements Contractable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `MONTH_PERIODICITY` Месячная периодичность платежа
    `static int` | `WEEK_PERIODICITY` Недельная периодичность платежа

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Rebill()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Date` | `getActivateDate()`
    `int` | `getContractId()` Возвращает код договора к которому привязан объект.
    `int` | `getDay()`
    `java.lang.String` | `getOrderId()`
    `int` | `getPeriodicity()`
    `java.lang.String` | `getRebillAnchor()`
    `java.math.BigDecimal` | `getSumma()` Возвращает сумму повторного платежа.
    `void` | `setActivateDate(java.util.Date activateDate)`
    `void` | `setContractId(int contractId)` Устанавливает код договора к которому привязан объект.
    `void` | `setDay(int day)`
    `void` | `setOrderId(java.lang.String oderId)`
    `void` | `setPeriodicity(int periodicity)`
    `void` | `setRebillAnchor(java.lang.String rebilAnchor)`
    `void` | `setSumma(java.math.BigDecimal summa)` Устанаваливает сумму повторного платежа.

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### WEEK_PERIODICITY

          public static final int WEEK_PERIODICITY

      Недельная периодичность платежа
      See Also:
        Constant Field Values

    - #### MONTH_PERIODICITY

          public static final int MONTH_PERIODICITY

      Месячная периодичность платежа
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Rebill

          public Rebill()

  - ### Method Detail

    - #### getContractId

          public int getContractId()

      Description copied from interface: `Contractable`
      Возвращает код договора к которому привязан объект.
      Specified by:
        `getContractId` in interface `Contractable`
      Returns:
        код договора

    - #### setContractId

          public void setContractId(int contractId)

      Description copied from interface: `Contractable`
      Устанавливает код договора к которому привязан объект.
      Specified by:
        `setContractId` in interface `Contractable`
      Parameters:
        `contractId` - код договора

    - #### getSumma

          public java.math.BigDecimal getSumma()

      Возвращает сумму повторного платежа.
      Returns:
        summa - сумма

    - #### setSumma

          public void setSumma(java.math.BigDecimal summa)

      Устанаваливает сумму повторного платежа.
      Parameters:
        `summa` - - сумма повторного платежа

    - #### getActivateDate

          public java.util.Date getActivateDate()

    - #### setActivateDate

          public void setActivateDate(java.util.Date activateDate)

    - #### getRebillAnchor

          public java.lang.String getRebillAnchor()

    - #### setRebillAnchor

          public void setRebillAnchor(java.lang.String rebilAnchor)

    - #### getOrderId

          public java.lang.String getOrderId()

    - #### setOrderId

          public void setOrderId(java.lang.String oderId)

    - #### getDay

          public int getDay()

    - #### setDay

          public void setDay(int day)

    - #### getPeriodicity

          public int getPeriodicity()

    - #### setPeriodicity

          public void setPeriodicity(int periodicity)